petsc-3.7.1 2016-05-15
Report Typos and Errors

# PetscOptionsGetIntArray

Gets an array of integer values for a particular option in the database.

### Synopsis

    #include "petscsys.h"
    PetscErrorCode  PetscOptionsGetIntArray(PetscOptions options,const char pre[],const char name[],PetscInt dvalue[],PetscInt *nmax,PetscBool  *set)

Not Collective Many br

### Input Parameters

| options | - options database use NULL for default global database Many br
| pre | - string to prepend to each name or NULL Many br
| name | - the option one is seeking Many br
| nmax | - maximum number of values to retrieve Many br

### Output Parameter

| dvalue | - the integer values to return Many br
| nmax | - actual number of values retreived Many br
| set | - PETSC_TRUE if found, else PETSC_FALSE Many br

Many br

### Notes

The array can be passed as Many bra comma separated list: 0,1,2,3,4,5,6,7 Many bra range (start-end+1): 0-8 Many bra range with given increment (start-end+1:inc): 0-7:2 Many bra combination of values and ranges separated by commas: 0,1-8,8-15:2 Many br

There must be no intervening spaces between the values. Many br

### See Also

PetscOptionsGetInt(), PetscOptionsHasName(),
PetscOptionsGetString(), PetscOptionsGetRealArray(), PetscOptionsBool(), Many brPetscOptionsName(), PetscOptionsBegin(), PetscOptionsEnd(), PetscOptionsHead(), Many brPetscOptionsStringArray(),PetscOptionsRealArray(), PetscOptionsScalar(), Many brPetscOptionsBoolGroupBegin(), PetscOptionsBoolGroup(), PetscOptionsBoolGroupEnd(), Many brPetscOptionsFList(), PetscOptionsEList() Many br

Level:beginner
Location:src/sys/objects/options.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages